#ifndef		__CXMESSENGER_H__
#define		__CXMESSENGER_H__
#include	<dcopobject.h>

/**
 ** class CxMessenger: DCOP handler.
 **/
class		CxMessenger: virtual public DCOPObject {
K_DCOP

k_dcop:
	virtual ASYNC sync() = 0;
	virtual void buddyList() = 0;
	virtual void goOnline() = 0;
	virtual void goOffline() = 0;
	virtual QString accountName() = 0;
	virtual QCStringList fetchNotes() = 0;
	virtual QCStringList fetchMessageList(int cache,QString room) = 0;
	virtual QCStringList fetchFolderList() = 0;
	virtual int deliverMessage(QCStringList mesgInfo) = 0;
	virtual QCStringList fetchMessage(QCString room,unsigned int msg_id) = 0;
	virtual QCStringList cacheStats() = 0;
};

#endif
