/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: objexternalview.h
 ** Date: 2001-08-14
 ** Last Revision: 2001-08-14
 ** Description: Interface for External (embedded kpart) View.
 ** CVS: $Id: objexternalview.h,v 1.2 2001/08/28 01:21:35 brian Exp $
 **/
#ifndef		__OBJEXTERNALVIEW_H__
#define		__OBJEXTERNALVIEW_H__
#include	<qframe.h>
#include	<qlayout.h>
#include	<qwidget.h>
#include	<qwidgetstack.h>
#include	<qlist.h>
#include	<qframe.h>
#include	<qsplitter.h>
#include	<qvbox.h>
#include	<kparts/factory.h>
#include	<kiconloader.h>
#include	<kdatepik.h>
#include	<klistview.h>
#include	<CxClient.h>
#include	"objgenericview.h"
#include	"objtasklist.h"

class		CxObjExternalView: public CxObjGenericView {
friend		CxObjGenericView;
Q_OBJECT

public:
			CxObjExternalView(QWidget *parent=0, const char *name=0 );
	virtual 	~CxObjExternalView();

inline	QPixmap		CxSmallIcon() { return(SmallIcon(QString("karm"))); };
inline	QPixmap		CxDesktopIcon() { return(DesktopIcon(QString("karm"),32)); };
inline	QPopupMenu*	CxObjectMenu() { return(NULL); };
inline 	QString		CxObjectName() { return(QString("(External Object)")); };
inline 	KToolBar*	CxToolbar() {  return(i_toolBar); };
	void		makeToolBar( KToolBar* );

	void		embed( KLibFactory * );

public slots:
	void		refresh();
	void		clear();

protected:
	KParts::ReadWritePart *_calObject;

	KToolBar	*i_toolBar;
};

#endif
