#ifndef		__OBJNOTE_H__
#define		__OBJNOTE_H__
#include	<qmultilineedit.h>
#include	<qframe.h>
#include	<qdatetime.h>
#include	<qlabel.h>
#include	<qvbox.h>
#include	<qpushbutton.h>
#include	<qdrawutil.h>
#include	<iostream.h>

/**
 ** CxObjNote: Note editor
 **/
class		CxObjNote: public QMultiLineEdit {
Q_OBJECT
public:
			CxObjNote(QWidget *parent);
	inline int	hasBeenChanged() { return(isChanged); };

private slots:
	void		slotCatchChanged();

private:
	int		isChanged;
};

/**
 ** CxWndNote: Note window (manual frame)
 **/
class		CxWndNote: public QFrame {
Q_OBJECT
public:
			CxWndNote(QWidget *parent, const QString& text);
			~CxWndNote();
public slots:
	void		slotClose();
	void		resizeEvent(QResizeEvent *);
	bool		eventFilter(QObject *, QEvent *);

private:
	QVBox		*vbox;
	CxObjNote	*enote;
	QPoint          m_pointerOffset;
	QLabel	*nb;
	QLabel		*resizer;
	QLabel		*lb, *dtl;
	QDateTime	*dt;
	bool		g_Dragging;
};

#endif
