/**  
 ** infusion - The Desktop Communications Revolution 
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: objnotesview.h
 ** Date: 2000-12-18
 ** Last Revision: 2000-12-18
 ** Description: Header for NOTESVIEW object.
 ** CVS: $Id: objnotesview.h,v 1.5 2001/09/08 02:09:23 brian Exp $
 **/
#ifndef		__OBJNOTESVIEW_H__
#define		__OBJNOTESVIEW_H__
#include	<kiconview.h>
#include	<kiconloader.h>
#include	<qpopupmenu.h>
#include	<qdict.h>
#include	"objgenericview.h"

class		CxObjNotesView: public CxObjGenericView {
friend		CxObjGenericView;
friend		KIconView;
friend		QIconView;

Q_OBJECT

public:
			CxObjNotesView(QWidget *, const char* = 0);
inline  QPixmap         CxSmallIcon() { return(SmallIcon(QString("knotes"))); };
inline  QPixmap         CxDesktopIcon() { return(DesktopIcon(QString("knotes"),32)); };
inline  QPopupMenu*     CxObjectMenu() { return(NULL); };
inline  QString         CxObjectName() { return(QString("Notes")); };
inline  KToolBar	*CxToolbar() { return( NULL ); };

public slots:
	void		refresh();
inline	void		clear() {};

private slots:
	void		slotSelected(QIconViewItem *);
	void		slotSelected();
	void		slotNewNote();
	void		rmbClicked(QIconViewItem *, const QPoint&);

private:
	QDict<QString>	Notes;
	QPopupMenu	*m_Item,
			*m_NoItem;
	KIconView	*_iconview;
};

#endif
