/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: objtasksview.h
 ** Date: 2001-07-13
 ** Last Revision: 2001-07-13
 ** Description: Add a VIEW for Tasklist objects.
 ** CVS: $Id: objtasksview.h,v 1.1 2001/07/14 03:40:28 brian Exp $
 **/
#ifndef		__OBJTASKSVIEW_H__
#define		__OBJTASKSVIEW_H__
#include	<qwidget.h>
#include	<ktoolbar.h>
#include	<kiconloader.h>
#include	<qpopupmenu.h>
#include	<qhbox.h>
#include	<CxClient.h>
#include	"objgenericview.h"
#include	"objtasklist.h"

class		CxObjTasksView: public CxObjGenericView {
friend		CxObjGenericView;
Q_OBJECT

public:
				CxObjTasksView(QWidget *parent);

inline	QPixmap		CxSmallIcon() { return(SmallIcon(QString("klipper"))); };
inline	QPixmap		CxDesktopIcon() { return(DesktopIcon(QString("klipper"),32)); };
inline	QPopupMenu*	CxObjectMenu() { return(NULL); };
inline 	QString		CxObjectName() { return(QString("Tasks")); };
inline 	KToolBar*	CxToolbar() {  return(i_toolBar); };

public slots:
	void		refresh();
	void		clear();

protected:
	CxObjTasklist	*_tasklist;
	KToolBar	*i_toolBar;
};

#endif
