/**
 ** infusion - The Desktop Communications Revolution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: modules/ui/kde2/wndlogin.c
 ** Date: 2000-11-09
 ** Last Revision: 2000-11-09
 ** Description: Login dialog box.
 ** CVS: $Id: wndabout.cpp,v 1.6 2001/03/14 04:51:30 brian Exp $
 **/
#include	<iostream.h>
#include	<klocale.h>
#include	<kapp.h>
#include	<kwin.h>
#include	<qvbox.h>
#include	<qhbox.h>
#include	<qlabel.h>
#include	<CxClient.h>
#include	"autoconf.h"
#include	"wndabout.h"
#include	"icons/splash_screen.xpm"

/**
 ** CxWndAbout::Constructor()
 **/
		CxWndAbout::CxWndAbout(KApplication *parent, const QString& caption) : 
			KDialogBase(
				0, 
				"dlgAbout",
				TRUE,
				caption,
				Ok,
				Ok,
				TRUE
			) {

	if(parent) ;

	if(caption.isNull()) setCaption(QString("About Infusion"));
	else setCaption( caption );


	layout = new QHBox(this);
	layout->setSpacing(KDialog::spacingHint());
	setMainWidget(layout);

	QPixmap logoPix(splash_screen_xpm);
	Logo = new QLabel(layout);
	Logo->setFrameShape(QFrame::WinPanel);
	Logo->setFrameShadow(QFrame::Sunken);
	Logo->setPixmap( logoPix );
	Logo->setBackgroundColor( Qt::black );
	Logo->setAlignment(AlignCenter);
//	Logo->setFixedHeight( logoPix.height() );
//	Logo->setFixedWidth( logoPix.width() );

//	QHBox *ln1 = new QHBox(layout);
//	ln1->setFrameShape(QFrame::HLine);
//	ln1->setFrameShadow(QFrame::Sunken); 

	QVBox *vbox = new QVBox( layout );

	QLabel *progname = new QLabel(vbox);
	progname->setAlignment(AlignCenter);
	progname->setFont(QFont(QString("lucida"), 16, QFont::Bold));
	progname->setText(QString("Infusion Revision ")+QString(VERSION));

	QLabel *copyright = new QLabel(vbox);
	copyright->setAlignment(AlignCenter);
	copyright->setText(QString("Copyright  2000-01, Flaming Sword Productions"));

	QLabel *homepage = new QLabel(vbox);
	homepage->setAlignment(AlignCenter);
	homepage->setText(QString("http://infusion.sourceforge.net/"));

	QHBox *ln1 = new QHBox( vbox );
	ln1->setFrameShape(QFrame::HLine);
	ln1->setFrameShadow(QFrame::Sunken); 

	QWidget *spacer2;
	spacer2 = new QWidget(vbox);

	QLabel *authors_info = new QLabel(vbox);
	authors_info->setText(QString("Written by:\nBrian C. Ledbetter <brian@shadowcom.net>\nSteve M. Williams <smw@pixel.citadel.org>\nArthur J. Cancro <ajc@uncensored.citadel.org>"));

	QWidget *spacer3;
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
	spacer3 = new QWidget(vbox);
}

