/**
 ** infusion - The Desktop Communications Revolution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: modules/ui/kde2/wndaddress.o
 ** Date: 2000-11-09
 ** Last Revision: 2000-11-09
 ** Description: Address dialog box.
 ** CVS: $Id: wndaddress.cpp,v 1.2 2001/02/19 21:58:45 brian Exp $
 **/
#include	"wndaddress.h"
#include	<stdlib.h>
#include	<iostream.h>
#include	<kmessagebox.h>
#include	<ktabctl.h>
#include	<klocale.h>
#include	<kcontainer.h>
#include	<kdialogbase.h>
#include	<qlayout.h>
#include	<qvbox.h>
#include	<qlabel.h>
#include	<stdio.h>
#include	<CxClient.h>

/**
 ** CxWndAddress::Constructor()
 **/
		CxWndAddress::CxWndAddress(QWidget *parent, const QString& caption) : 
			KDialogBase(
				parent, 
				"dlgAddress",
				TRUE,
				caption,
				Ok|Cancel,
				Ok,
				TRUE
			) {

	setCaption(QString("Address Book"));

	QHBox *page = new QHBox(this);
	setMainWidget(page);

	uList = new CxObjUserlist(page, 1, QString::null);

	this->resize(300,200);
}

/**
 ** CxWndAddress::closeEvent(): What do we do when we exit?
 **/
void 		CxWndAddress::closeEvent(QCloseEvent *) {

	delete(this);
}

/**
 ** CxWndAddress::slotOk(): I'm outta here!
 **/
void		CxWndAddress::slotOk() {

	emit setRcptAddr(uList->selectedItem()->text(1));
	close();
}

/**
 ** CxWndAddress::slotExit(): I'm outta here!
 **/
void		CxWndAddress::slotExit() {

	close();
}
