#ifndef		__WNDLOGIN_H__
#define		__WNDLOGIN_H__
#include	<kdialogbase.h>
#include	<kapp.h>
#include	<klineedit.h>
#include	<kcontainer.h>
#include	<qcheckbox.h>
#include	<qbutton.h>
#include	<qpopupmenu.h>

typedef struct _cx_config {
	char	nothing[1024];
	char	stored_host[255];
	char	stored_user[255];
	char	stored_pass[255];
	char	morenothing[1024];
} CXCONFIG;

class CxWndLogin : public KDialogBase {
  Q_OBJECT

public:
		CxWndLogin(KApplication *, const QString& );

  void		closeEvent(QCloseEvent *);
  inline int	isCached() { return cached_pw_inf; };

public slots:
  void		slotExit();
  void		slotOk();
  void		slotUser1();

private slots:
  void		slotSavePw();
  void		slotLoadPw();

private:
  KContainerLayout *layout;
  KLineEdit	*leHostname,
		*leUsername,
		*lePassword;
  QButton	*btnOk,
		*btnCancel;
  QPopupMenu	*file, 
		*help;
  QCheckBox	*c_savepw;
  int		cached_pw_inf;
};

#endif
