/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: cxcallbacks.o
 ** Date: 2000-03-08
 ** Last Revision: 2001-03-08
 ** Description: Citadel Session Layer callbacks.  (ASYN-mode only)
 ** CVS: $Id: cxcallbacks.cpp,v 1.3 2001/08/28 01:20:58 brian Exp $
 **/
#include	<iostream.h>
#include	<kdebug.h>
#include	<CxClient.h>
#include	"cxdaemon.h"
#include	"cxdaemontray.h"

extern CxDaemonTray *g_daemonTray;

/**
 ** recvExpMesg(): Execute this when an express message has been
 ** received.
 **/
void    	recvExpMesg(const char *user, const char *msg) {
char		*ser[20];
char		buf[1024];
 
        kdDebug() << "PROT: recvExpMesg(): Received." << endl;
        kdDebug() << "PROT: recvExpMesg(): user: \"" << user << "\"" << endl;
        kdDebug() << "PROT: recvExpMesg(): msg: \"" << msg << "\"" << endl;

	if( !*user || !*msg ) return;

	strcpy(buf, user);
	CxSerialize( buf, (char **) &ser );

	if(g_daemonTray) emit g_daemonTray->slotExpressMsg( QString(ser[3]), QString(msg) );
}

/**
 ** CxRegisterCallbacks(): Register all desired Callbacks with
 ** the CxClient backend library.
 **/
void		CxRegisterCallbacks() {

        CxMiExpHook( recvExpMesg );
}
