/**
 ** infusion - The Desktop Communications Revolution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved!
 **
 ** Module: wndchat.h
 ** Date: 2000-11-25
 ** Last Revision: 2000-11-25
 ** Description: Chat window object header.
 ** CVS: $Id: wndchat.h,v 1.2 2001/07/25 02:22:17 brian Exp $
 **/
#ifndef		__WNDCHAT_H__
#define		__WNDCHAT_H__
#include	<kmainwindow.h>
#include	<kmenubar.h>
#include	<ktoolbar.h>
#include	<qstring.h>
#include	<qlayout.h>
#include	<qtextbrowser.h>
#include	<qvbox.h>

class		CxWndChat : public KMainWindow  {

	Q_OBJECT

public:

			CxWndChat(const QString&);
	void		recvMesg(const char *);
inline	void		setUserName( const QString& s ) { thisUser = s; };

signals:
	void		closing(const QString&);
	void		sendMessage(const QString&, const QString&);

public slots:
	void		userIsOffline();

private slots:
	void		onSend();
	void		closeEvent(QCloseEvent *);
	void		appendMessage(const QString&);
	void		clearEntry();

private:
	QString		thisUser, remoteUser;
	KLineEdit	*lString;
	QTextBrowser	*txtBody;
	KMenuBar	*menu;
	QVBox		*page;
	QPopupMenu	*file;
};

#endif
