#ifndef		__WNDPREFS_H__
#define		__WNDPREFS_H__
#include	<kdialogbase.h>
#include	<ksimpleconfig.h>
#include	<qcheckbox.h>
#include	<qcombobox.h>
#include	<qlineedit.h>

class		CxDaemonTray;

/****************************************
 ** class CxWndPrefs: Preferences dialog.
 **/
class 		CxWndPrefs
		:public KDialogBase {
Q_OBJECT

public:
		CxWndPrefs(QWidget *parent = NULL, const char *name = 0L, CxDaemonTray * = 0L );

signals:
	void		configChanged();

private slots:
	void		loadSettings( KConfig * );
	void		saveSettings( KConfig * = 0L );
	void		applyChanges();
	void		saveAndExit();

protected:
	void		createTabIdentity();
	void		createTabNotification();

private:
	CxDaemonTray	*mpTray;

	QComboBox	*t_Host;
	QLineEdit	*t_Username,
			*t_fullName;
	QString		*t_Password;
	QCheckBox	*t_SavePw;

};

#endif
