/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: objexternalview.o
 ** Date: 2001-08-14
 ** Last Revision: 2001-08-14
 ** Description: Implementation for External (KPart embedded) view.
 ** CVS: $Id: objexternalview.cpp,v 1.2 2001/08/28 01:21:35 brian Exp $
 **/
#include	<qwidget.h>
#include	<qdatetime.h>
#include	<qtable.h>
#include	<kdatepik.h>
#include	<kdialog.h>
#include	<klistview.h>
#include	<kapp.h>
#include	<qhbox.h>
#include	<klistview.h>
#include	<kiconloader.h>
#include	<qcursor.h>
#include	<qmultilineedit.h>
#include	<qtimer.h>
#include	<qwidgetstack.h>
#include	<qclipboard.h>
#include	<kglobal.h>
#include	<kdebug.h>
#include	<kiconloader.h>
#include	<kparts/part.h>
#include	<kparts/factory.h>
#include	<kstddirs.h>
#include	<kstdaccel.h>
#include	<kfiledialog.h>
#include	<kmessagebox.h>
#include	<knotifyclient.h>
#include	<CxClient.h>
#include	"objexternalview.h"
#include	"objtasklist.h"

/**
 ** CxObjExternalView::~CxObjExternalView(): DESTRUCTOR.
 **/
		CxObjExternalView::CxObjExternalView(QWidget *parent,const char *name )
		:CxObjGenericView( parent ) {

	if( name );
}

/**
 ** CxObjExternalView::~CxObjExternalView(): DESTRUCTOR.
 **/
		CxObjExternalView::~CxObjExternalView() {
  hide();
}

/**
 ** CxObjExternalView::embed(): Embed a KPart as our main interface.
 **/
void		CxObjExternalView::embed( KLibFactory *factory ) {

	if(!factory) return;

	_calObject = (KParts::ReadWritePart *)factory->create( this, "externalpart", "KParts::ReadWritePart" );
}

/**
 ** CxObjExternalView::makeToolBar(): 
 **/
void		CxObjExternalView::makeToolBar( KToolBar *tb ) {
}

/**
 ** CxObjExternalView::refresh(): Refresh the message list.
 **/
void		CxObjExternalView::refresh() {

//	_taskList->refreshList();        
}

/**
 ** CxObjExternalView::clear(): Clear the ExternalView.
 **/
void		CxObjExternalView::clear() {
}
