#ifndef		__OBJMESGPANE_H__
#define		__OBJMESGPANE_H__
#include	<iostream.h>
#include	<qvbox.h>
#include	<qframe.h>
#include	<qlabel.h>
#include	<khtmlview.h>

class		CxObjMesgPane: public QVBox {

Q_OBJECT

public:
			CxObjMesgPane(QWidget *parent);
inline	bool		isHdrVisible() { return(is_header_visible); };

public slots:
	void		slotLoadMesg(const QString&, const QString&, const QString&, const QString&);
	void		clear();
inline	void		setHdrVisible(bool x) { is_header_visible=x; if(x) i_header->show(); else i_header->hide(); };
inline	void		slotToggleHdr() { emit setHdrVisible( !is_header_visible ); };

protected:
	QLabel		*msgFrom,
			*msgTo,
			*msgSubj;
	KHTMLPart	*msgBody;
	QVBox		*i_header;
	bool		is_header_visible;

};

#endif
