/**
 ** infusion - The Desktop Communications Revoution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved
 **
 ** Module: objtasksview.o
 ** Date: 2001-07-13
 ** Last Revision: 2001-07-13
 ** Description: Implementation for Tasks view.
 ** CVS: $Id: objtasksview.cpp,v 1.4 2001/08/28 01:21:35 brian Exp $
 **/
#include	<qwidget.h>
#include	<qdatetime.h>
#include	<qtable.h>
#include	<kdatepik.h>
#include	<kdialog.h>
#include	<klistview.h>
#include	<kapp.h>
#include	<qhbox.h>
#include	<klistview.h>
#include	<kiconloader.h>
#include	<qcursor.h>
#include	<qmultilineedit.h>
#include	<qtimer.h>
#include	<qwidgetstack.h>
#include	<qclipboard.h>
#include	<kglobal.h>
#include	<kdebug.h>
#include	<kiconloader.h>
#include	<kstddirs.h>
#include	<kstdaccel.h>
#include	<kfiledialog.h>
#include	<kmessagebox.h>
#include	<knotifyclient.h>
#include	<CxClient.h>
#include	"objtasklist.h"
#include	"objtasksview.h"

CXOBJDEF	CXTASKS = {
	"cxobjtasksview",
	"Tasks",
	"klipper"
};

/**
 ** CxObjTasksView::~CxObjTasksView(): DESTRUCTOR.
 **/
		CxObjTasksView::CxObjTasksView( QWidget *parent )
		:CxObjGenericView( parent ) {

	CxObjTasklist *_tasklist = new CxObjTasklist( this );
	_tasklist->show();
}

/**
 ** CxObjTasksView::refresh(): Refresh the message list.
 **/
void		CxObjTasksView::refresh() {

	_tasklist->refresh();        
}

/**
 ** CxObjTasksView::clear(): Clear the CalendarView.
 **/
void		CxObjTasksView::clear() {
}
