#ifndef		__OBJUSERLIST_H__
#define		__OBJUSERLIST_H__
#include	<qwidget.h>
#include	<qlist.h>
#include	<qwidgetstack.h>
#include	<qvbox.h>
#include	<qcombobox.h>
#include	<klistview.h>

class		CxObjUserlist: public QWidget {

Q_OBJECT

public:
			CxObjUserlist(QWidget *parent, int = 0, const QString & = QString::null, const char* = 0);
	QListViewItem	*selectedItem();

public slots:
	void		refreshList( int );
	void		resizeEvent( QResizeEvent* );
	void		slotPopulateOnline( QList<QString> );
	void		slotPopulateUsers( QList<QString> );

private:
	QVBox		*tabs;
	QComboBox	*whichList;
	KListView	*g_onlineUsers,
			*g_allUsers;
	QWidgetStack	*i_widgetStack;
};

#endif
