/**
 ** infusion - The Desktop Communications Revolution
 ** Copyright (c) 2000, SCCG/Flaming Sword Productions
 ** All Rights Reserved!
 **
 ** Module: wndchat.h
 ** Date: 2000-11-25
 ** Last Revision: 2000-11-25
 ** Description: Chat window object header.
 ** CVS: $Id: wndnewaccount.h,v 1.2 2001/02/06 14:31:20 brian Exp $
 **/
#ifndef		__WNDNEWACCOUNT_H__
#define		__WNDNEWACCOUNT_H__
#include	<qhbox.h>
#include	<qwizard.h>
#include	<qlineedit.h>

class		CxWndNewAcct : public QWizard  {

	Q_OBJECT

public:
			CxWndNewAcct();

private slots:
	void		slotFinish();
	void		slotCancel();

private:
	int		pageNumber;
	QHBox		*page1,
			*page2,
			*page3;
	QLineEdit	*leUsername,
			*lePassword,
			*leFullname,
			*leAddrStreet,
			*leAddrCity,
			*leAddrState,
			*leAddrZip,
			*leContPhone,
			*leContEmail;
};

#endif
