#ifndef		__WNDTASK_H__
#define		__WNDTASK_H__
#include	<qstring.h>
#include	<qmultilineedit.h>
#include	<qlineedit.h>
#include	<qradiobutton.h>
#include	<qcheckbox.h>
#include	<qvbox.h>
#include	<kmainwindow.h>
#include	<kmenubar.h>
#include	<ktoolbar.h>
#include	"rfc2426t.h"

class		CxWndTask : public KMainWindow  {

	Q_OBJECT

public:
			CxWndTask(int, Rfc2426t * = NULL);

public slots:
	void		setRcptAddr(const QString&);

private slots:
	void		onSend();
	void		slotChanged();
virtual	bool		queryClose();
	void		slotUpdateCaption(const QString &);
	void		processTbEvent(int);
	void		openAddresser();
	void		slotDueDateOn();
	void		slotDueDateOff();
	void		slotReminder();

private:
	QLineEdit	*d_Subject,
			*d_DueDate,
			*d_DueDate_start,
			*d_Reminder_Date,
			*d_Reminder_Time;
	QMultiLineEdit	*d_Details;
	QRadioButton	*d_DueDate_off,
			*d_DueDate_on;
	QCheckBox	*d_Reminder,
			*d_Private;

	KMenuBar	*m_menu;

	bool		i_am_a_composer,
			ive_been_saved,
			ive_been_changed;
};

#endif
